// #![allow(clippy::print_literal)]
use crate::logger;

use super::{gdt, interrupts};

/// x86_64 initialization
pub fn init() {
    let result = logger::init();
    match result {
        Ok(_) => {}
        Err(err) => error!("{}", err),
    }
    gdt::init();
    interrupts::init_idt();
    unsafe { interrupts::PICS.lock().initialize() };
    x86_64::instructions::interrupts::enable();
}
